Bug 808692 - [REF] xmlrpc need a method for get tag list for all test cases in one test plan.
[REF] xmlrpc need a method for get tag list for all test cases in one test plan.
Status: VERIFIED
Product: TCMS
Classification: Other
Component: Application (Show other bugs)
3.5
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.7.0
Assigned To: Yang Ren
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-31 04:53 EDT by Johnny Liu
Modified: 2018-02-15 19:37 EST (History)
4 users (show)

See Also:
Fixed In Version: 3.7.0-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Johnny Liu 2012-03-31 04:53:42 EDT
Description of problem:
xmlrpc need a method to help user to get tag list for all test cases in one test plan.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 yawei Li 2012-04-10 22:55:58 EDT
will be resolved on 3.7.0 release.
Comment 2 Xin Gao 2012-04-24 07:50:49 EDT
Verify version 3.7.0-1 on stage -> PASS

Steps:
Configure Nitrate xml-rpc and make sure the xml-rpc work well.
Configure step pls refer to following link,
https://mirrorglass.englab.nay.redhat.com/XWiki/bin/view/Main/How%20to%20configure%20and%20use%20xml-rpc
Login with your kerberos account and password
enter into python dev env: $ python
import natrite: >>>from nitrate import NitrateKerbXmlrpc
Specify server: >>>n=NitrateKerbXmlrpc('XXX')
note: 'XXX' is TCMS env, such as: 'https://tcms.englab.nay.redhat.com/'

Call method,
>>>n.server.TestPlan.get_allcases_tags(plan_id)

Actual result:
result is the list of tag IDs for all of the cases in the specified test plan.

Note You need to log in before you can comment on or make changes to this bug.